package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.FiscalFormapagoEmpresa;
import com.rjconsultores.ventaboletos.entidad.FiscalImpressora;
import com.rjconsultores.ventaboletos.entidad.FiscalRelgerencialEmpresa;
import com.rjconsultores.ventaboletos.entidad.FiscalTotnaofiscalEmpresa;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;

public interface FiscalImpressoraDAO {
	
	public List<FiscalImpressora> obtenerTodos();
    public FiscalImpressora obtenerID(Integer id);
    public FiscalImpressora suscribir(FiscalImpressora entidad);
    public FiscalImpressora actualizacion(FiscalImpressora entidad);
    public void borrar(FiscalImpressora entidad);
    public Long count(String campo,Object o);
	

	public List<FiscalTotnaofiscalEmpresa> buscarTotsNaoFiscaisEmpresa(Integer empresaEcfId);
    public List<FiscalTotnaofiscalEmpresa> obtenerTodosTotnaofiscalEmpresa();
    public FiscalTotnaofiscalEmpresa obtenerIDTotnaofiscalEmpresa(Long id);
    public FiscalTotnaofiscalEmpresa suscribirTotnaofiscalEmpresa(FiscalTotnaofiscalEmpresa entidad);
    public FiscalTotnaofiscalEmpresa actualizarTotnaofiscalEmpresa(FiscalTotnaofiscalEmpresa entidad);
    public void borrarTotnaofiscalEmpresa(FiscalTotnaofiscalEmpresa entidad);
        
	public List<FiscalFormapagoEmpresa> buscarFormaPagoEmpresa(Integer empresaEcfId);
	public List<FiscalFormapagoEmpresa> obtenerTodosFormapagoEmpresa();
    public FiscalFormapagoEmpresa obtenerIDFormapagoEmpresa(Long id);
    public FiscalFormapagoEmpresa suscribirFormapagoEmpresa(FiscalFormapagoEmpresa entidad);
    public FiscalFormapagoEmpresa actualizacionFormapagoEmpresa(FiscalFormapagoEmpresa entidad);
        
	public List<FiscalRelgerencialEmpresa> buscarItensRelgerencialEmpresa(Integer empresaEcfId);
	public List<FiscalRelgerencialEmpresa> obtenerTodosRelgerencialEmpresa();
    public FiscalRelgerencialEmpresa obtenerIDRelgerencialEmpresa(Long id);
    public FiscalRelgerencialEmpresa suscribirRelgerencialEmpresa(FiscalRelgerencialEmpresa entidad);
    public FiscalRelgerencialEmpresa actualizacionRelgerencialEmpresa(FiscalRelgerencialEmpresa entidad);
	public FiscalTotnaofiscalEmpresa buscarTotNaoFiscal(Empresa empresa, String tipoTotalizador);
	public FiscalTotnaofiscalEmpresa buscarTotNaoFiscal(Empresa empresa, String tipoTotalizador,String descEcf);
	public FiscalFormapagoEmpresa buscarFormaPago(Empresa empresa, String tipoformapago);
	FiscalFormapagoEmpresa buscarFormaPago(Empresa empresa, String tipoformapago, String descEcf);
	FiscalRelgerencialEmpresa buscarRelGerencial(Empresa empresa, String tipoRelGerencial );
	FiscalTotnaofiscalEmpresa buscarTotNaoFiscal(Empresa empresa, String tipoTotalizador, String descEcf, TipoEventoExtra tipoeventoextra);
	
}
